<?php

namespace app\models;

use Yii;
use yii\base\Model;

class PayForm extends Model{

    public $name;
    public $email;
    public $subject;
    public $body;
    public $verifyCode;

    public function rules()
    {
        return [
            // name, email, subject and body are required
            [['name', 'email', 'subject', 'body'], 'required'],
            // email has to be a valid email address
            ['email', 'email'],
            // verifyCode needs to be entered correctly
            ['verifyCode', 'captcha'],
        ];
    }

    public function getAmount(){
        $balance = (int)\Yii::$app->user->identity->balance;
        $plan_price = (int)\Yii::$app->user->identity->plan_price;

        $price = $balance - $plan_price;

        switch ($price):
            case $price > 0:
                $amount = $plan_price; break;
            case $price < 0:
                $amount = $plan_price - $balance + $plan_price;

                $msg = '('.$balance.')balance - ('.$plan_price.')plan_price = ' . $price;
                Yii::$app->session->setFlash('success', $msg, false);
                break;
        endswitch;

        return $amount;

    }

}