<?php

/* @var $this \yii\web\View */
/* @var $content string */

use app\assets\AdminLteAsset;
use app\widgets\Alert;
use yii\helpers\Html;

AdminLteAsset::register($this);

$bodyClass = $this->params['body-class'] ?? null;
Html::addCssClass($bodyClass, ['hold-transition']);

?>
<?php $this->beginPage() ?>
<!DOCTYPE html>
<html lang="<?= Yii::$app->language ?>">
<head>
    <meta charset="<?= Yii::$app->charset ?>">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <?php $this->registerCsrfMetaTags() ?>
    <title><?= Html::encode($this->title) ?></title>
    <?php $this->head() ?>
</head>
<?= Html::tag('body', '', $bodyClass); ?>
<?php $this->beginBody() ?>

<main>
    <?= Alert::widget() ?>
    <?= $content ?>
</main>

<footer class="small text-muted text-center">
    <p class="pull-left mb-0 mt-3">&copy; <?= Yii::$app->name; ?> <?= date('Y') ?></p>
</footer>

<?php $this->endBody() ?>
</body>
</html>
<?php $this->endPage() ?>
