<?php
/** @var $profile \Yii::$app->user->identity */

$this->title = 'Профіль';
$this->params['breadcrumbs'][] = $this->title;
?>

<div class="row">
    <div class="col-md-8">

        <!-- Profile Box -->
        <div class="card card-gray">
            <div class="card-header">
                <h3 class="card-title">Загальна інформація</h3>
                <div class="card-tools"><span data-toggle="tooltip" title="Номер договору" class="badge bg-white"># <?= $profile->uuid ?></span></div>
            </div>
            <div class="card-body box-profile">
                <h3 class="profile-username text-center">
                    <?= $profile->fio ? $profile->fio : '<small>Номер договору: </small><strong>' . $profile->uuid . '</strong>'; ?>
                </h3>

                <?php if ($profile->cname): ?>
                <p class="text-muted text-center"><?= $profile->cname ?></p>
                <?php endif; ?>

                <ul class="list-group list-group-unbordered mb-0">
                    <?php if ($profile->address): ?>
                    <li class="list-group-item">
                        <?= \rmrevin\yii\fontawesome\FAS::icon('home', ['class' => 'mr-2'])?> <?= $profile->address ?>
                    </li>
                    <?php endif; ?>
                    <?php if ($profile->phone): ?>
                    <li class="list-group-item">
                        <?= \rmrevin\yii\fontawesome\FAS::icon('phone-square', ['class' => 'mr-2'])?> <?= $profile->phone ?>
                    </li>
                    <?php endif; ?>
                    <?php if ($profile->email): ?>
                    <li class="list-group-item pb-0 border-0">
                        <?= \rmrevin\yii\fontawesome\FAS::icon('envelope', ['class' => 'mr-2'])?> <?= $profile->email ?>
                    </li>
                    <?php endif; ?>
                </ul>
            </div>
            <!-- /.card-body -->
            <div class="card-footer">
                <?= \yii\bootstrap4\Html::a(Yii::t('user', 'Account settings'), \yii\helpers\Url::to(['profile/account']), ['class'=>'btn btn-warning btn-block']) ?>
            </div>
        </div>
        <!-- /.card -->
    </div>
    <!-- /.col -->
    <div class="col-md-4">
        <!-- Financial Box -->
        <div class="card card-gray">
            <div class="card-header">
                <h3 class="card-title">Фінансова інформація</h3>
                <div class="card-tools"><span data-toggle="tooltip" title="Баланс" class="badge bg-white"><?= $profile->balance ?> грн</span></div>
            </div>
            <!-- /.card-header -->
            <div class="card-body">
                <h3 class="profile-username text-center">
                    <span class="text-uppercase text-bold"><?= $profile->plan_title ?></span> <small>(<?= $profile->plan_price ?> грн)</small>
                </h3>

                <p class="text-muted text-center">тарифний план</p>

                <ul class="list-group list-group-unbordered mb-0 d-none">
                    <?php if ($profile->payment_online): ?>
                        <li class="list-group-item border-bottom-0 pb-0 text-danger">
                            <?= \rmrevin\yii\fontawesome\FAS::icon('credit-card', ['class' => 'mr-2'])?> Очікується поповнення балансу
                        </li>
                    <?php endif; ?>
                </ul>

            </div>
            <!-- /.card-body -->
            <?php if (!$profile->payment_online): ?>
            <div class="card-footer d-none">
                <?= \yii\bootstrap4\Html::a('Пополнить', \yii\helpers\Url::to('/pricing/index'), ['class'=>'btn btn-success btn-block']); ?>
            </div>
            <?php endif; ?>
            <!-- /.card-footer -->
        </div>
        <!-- /.card -->
    </div>
    <!-- /.col -->
</div>
